List products with filters and cursor pagination
curl --request GET \
--url https://api.example.com/productsimport requests
url = "https://api.example.com/products"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "cffbca85-da89-4b2a-aecf-31422abcb34a",
"sku": "PROD-123",
"commercialName": "Cabo USB-C",
"type": "SIMPLE",
"status": "APPROVED",
"price": 150.00
}
],
"total": 1,
"page": 1,
"limit": 10
}
Products
Listar Produtos
Retorna uma lista de produtos cadastrados de forma paginada e simplificada, com seus respectivos tipos e skus.
GET
/
products
List products with filters and cursor pagination
Query Parameters
number
default:"1"
Paginação usando cursores.
number
default:"10"
Limite de itens retornáveis.
string
Busca pela taxonomia.
string
Status do produto (ex:
APPROVED).Response
{
"data": [
{
"id": "cffbca85-da89-4b2a-aecf-31422abcb34a",
"sku": "PROD-123",
"commercialName": "Cabo USB-C",
"type": "SIMPLE",
"status": "APPROVED",
"price": 150.00
}
],
"total": 1,
"page": 1,
"limit": 10
}
Query Parameters
Search term for name or SKU
Filter by category
Filter by status
Available options:
ACTIVE, INACTIVE Filter by company ID
Filter by channel
Return only variation templates
Return only sellable products (excludes templates)
Explicitly exclude templates
Cursor for pagination (next page starts after this seqId)
Number of items per page
Response
200
Return list of products and metadata.